<?php

namespace App\Domain\Cloud\Jobs\Tests\TestCases;

use App\Domain\Cloud\Models\CloudIntegration;
use Tests\ComponentTestCase;

abstract class SyncEntityJobTestCase extends ComponentTestCase
{
    protected function setUp(): void
    {
        parent::setUp();

        CloudIntegration::factory()->enabled()->create();
    }

    public function cloudIntegrationDisable(): void
    {
        CloudIntegration::query()->whereStage()->update(['integration' => false]);
    }
}
